# $Revision: 1.14 $, $Date: 2005/06/08 22:35:02 $
Summary:	Cisco-like telnet command-line library
Summary(pl):	Biblioteka Cisco-podobnej linii polece telnetu
Name:		libcli
Version:	1.8.5
Release:	1
Group:		Applications/Networking
License:	LGPL
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	0fdd30df5a8c1388a4549751ba61247a
URL:		http://www.sf.net/projects/libcli/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libcli provides a shared library for including a Cisco-like
command-line interface into other software. It's a telnet interface
which supports command-line editing, history, authentication and
callbacks for a user-definable function tree.

%description -l pl
Pakiet libcli dostarcza wspdzielon bibliotek do wczania
Cisco-podobnego interfejsu linii polece do innego oprogramowania.
Jest to interfejs telnetu, ktry obsuguje edycj linii polece,
histori, uwierzytelnienie i callbacki do definiowalnego przez
uytkownika drzewa funkcji.

%package devel
Summary:	libcli header files
Summary(pl):	Pliki nagwkowe libcli
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files for libcli library.

%description devel -l pl
Pliki nagwkowe biblioteki libcli.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS='%{rpmldflags} -shared -nostartfiles -Wl,-soname,libcli.so.$(MAJOR)'

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir}}

install libcli.so.*.*.* $RPM_BUILD_ROOT%{_libdir}
install libcli.h $RPM_BUILD_ROOT%{_includedir}
# can be expanded in current directory
ln -sf libcli.so.*.*.* $RPM_BUILD_ROOT%{_libdir}/libcli.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README Doc/usersguide.html
%attr(755,root,root) %{_libdir}/*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc Doc/developers.html
%{_libdir}/*.so
%{_includedir}/*.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libcli.spec,v $
Revision 1.14  2005/06/08 22:35:02  saq
- up to 1.8.5

Revision 1.13  2005/01/09 16:45:08  adamg
- updated to 1.8.4

Revision 1.12  2004/11/26 14:21:44  darekr
- updated to 1.8.3

Revision 1.11  2004/09/12 12:15:19  havner
- rel 1

Revision 1.10  2004/08/31 21:32:15  darekr
- updated to 1.8.1

Revision 1.9  2004/04/10 18:48:25  adamg
- pass CC

Revision 1.8  2004/04/10 18:44:37  adamg
- updated to 1.5.0

Revision 1.7  2004/01/01 22:16:14  adamg
- updated to 1.2

Revision 1.6  2003/09/22 09:54:03  adamg
- updated to 1.1.1

Revision 1.5  2003/06/12 13:08:49  qboosh
- fixed build, use better soname for library

Revision 1.4  2003/06/06 20:21:36  qboosh
- fixed pl, separated -devel, changed symlink within %%{_libdir} to relative

Revision 1.3  2003/05/28 12:59:27  malekith
- massive attack: source-md5

Revision 1.2  2003/05/25 05:49:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/05/20 13:40:00  misi3k
- initial relaese, NFY
